Name:           givaro
Version:        3.2.13
Release:        1%{?dist}
Summary:        C++ library for arithmetic and algebraic computations
Group:          Development/Libraries
License:        GPLv2
URL:            http://ljk.imag.fr/CASYS/LOGICIELS/givaro/
Source0:        http://ljk.imag.fr/CASYS/LOGICIELS/givaro/givaro-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gmp-devel


%description
Givaro is a C++ library for arithmetic and algebraic computations.
Its main features are implementations of the basic arithmetic of many
mathematical entities: Primes fields, Extensions Fields, Finite Fields,
Finite Rings, Polynomials, Algebraic numbers, Arbitrary precision
integers and rationals (C++ wrappers over gmp) It also provides
data-structures and templated classes for the manipulation of basic
algebraic objects, such as vectors, matrices (dense, sparse, structured),
univariate polynomials (and therefore recursive multivariate).


%package        devel
Summary:        Files useful for %{name} development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The libraries and header files for using %{name} for development.


%package        static
Summary:        Files used for static linking with %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}


%description    static
The static libraries for using %{name} for development.


%prep
%setup -q


%build
%configure --with-gmp --enable-shared=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.la
mv $RPM_BUILD_ROOT%{_includedir}/%{name}-config.{h,%{_arch}.h}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/lib%{name}.so.*


%files devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-*
%{_includedir}/%{name}
%{_includedir}/gmp++
%{_includedir}/%{name}-config.%{_arch}.h
%{_libdir}/lib%{name}.so


%files static
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.a


%changelog
* Sat Dec 6 2008 Conrad Meyer <konrad@tylerc.org> - 3.2.13-1
- Initial package.
